Subject: bug#29798: 24.3; Javascript: Too much indentation with + and -

From: Dmitry Gutov <[email-masked]>
Date: Mon, 10 Aug 2020 20:17:16 +0300

On 10.08.2020 18:53, Stefan Kangas wrote:
> In the Firefox web console, I get
> 
> { -2, 2, +2 }  =>  2

Yeah, it seems like it's interpreted like a comma-separated list of 
statements in a block.

> So I guess it's valid, if a bit nonsensical? I must admit that my
> knowledge of JavaScript is terrible though.

We generally prioritize supporting code that is likely to actually be 
written by somebody, so IMHO there is no significant bug here.

But if someone would like to propose a patch, we will surely review it.